#ifndef _COLORDLG_
  #define _COLORDLG_

/* Class definitions for color   dialog              */

#include <iframe.hpp>          //Include IFrameWindow Class header
#include <icmdhdr.hpp>         //Include ICommand headers

class IEntryField;
class IStaticText;
class INumericSpinButton;

//**********************************************************
//  Main Class definition                                 **
//**********************************************************

class AClrDialog :   public IFrameWindow,
                     public ICommandHandler
{
  public:
    AClrDialog(char *msg,                      //constructor
               IWindow * ownerWnd);
    ~AClrDialog() ;                            //destructor

  protected:
    virtual Boolean command(ICommandEvent& cmdevt);

  private:
    IEntryField *tfMsg;
    IWindow     *dlgOwner;
    IStaticText *stRed, *stGreen, *stBlue;
    INumericSpinButton   *nsbRed, *nsbGreen, *nsbBlue;

    unsigned char ucRed, ucGreen, ucBlue;
    char          cMode;

 };

#endif
